Bug 117864 - Fails to cut copy or paste chart elements from the content menu
Summary: Fails to cut copy or paste chart elements from the content menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-05-29 00:02 UTC by Xisco Faulí
Modified: 2018-06-04 10:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-05-29 00:02:57 UTC
Steps to Reproduce:
1. Launch Writer
2. Insert a chart
3. Select the yellow chart bar
4. Cut using the CONTENT MENU ( it works using the keyword )
5. Paste using the CONTENT MENU

-> Observed behaviour: the yellow bars aren't pasted

Reproduced in

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-05-29 00:04:57 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-04-05 15:27:38 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2016-04-05 20:24:51 +0100
commit	dd46727b99d4bb5135451aa7e5e1bdb197373843 (patch)
tree	47ee49810362bb405339682d27d36092d101cffc
parent	92d43df81e282d20c129b105b2c7300a312091eb (diff)
Resolves; tdf#87120 no keyboard navigation inside floating windows
lets try and treat these the same as we do normal toplevels
like dialogs if they popup with GrabFocus.

This way focus can be set on widgets inside the floating windows, and
so keyboard traversal of widgets etc all works.

Bisected with: bibisect-linux-64-5.2

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-05-30 12:59:51 UTC
https://gerrit.libreoffice.org/#/c/55073/ should solve this
Comment 3 Commit Notification 2018-05-31 08:14:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b40212c18bb3c518bf54e55b9060f908ed84ed1

tdf#117864 TransferableHelper::GetSystemClipboard requires a focus window

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-05-31 08:16:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a0d8106a558845357d39648656e08ec6f091cf8&h=libreoffice-6-1

tdf#117864 TransferableHelper::GetSystemClipboard requires a focus window

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-05-31 09:01:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4c1975fc0411cdd30ea96fa188ac77c099bd58e&h=libreoffice-6-0

tdf#117864 TransferableHelper::GetSystemClipboard requires a focus window

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-06-04 10:06:29 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: 2a0d8106a558845357d39648656e08ec6f091cf8
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Caolán, thanks for fixing this!!